Bug 657816 - [Arrandale] X11 crash for another user on user logoff
[Arrandale] X11 crash for another user on user logoff
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
14
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-28 04:41 EST by Bojan Smojver
Modified: 2011-05-12 08:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-12 08:04:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X11 log crash (222.78 KB, text/plain)
2010-11-28 04:41 EST, Bojan Smojver
no flags Details

  None (edit)
Description Bojan Smojver 2010-11-28 04:41:11 EST
Created attachment 463299 [details]
X11 log crash

Description of problem:
X11 crashes for another user on user logoff.

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.9.1-3.fc14.x86_64

How reproducible:
Sometimes.

Steps to Reproduce:
1. Have two users logged in.
2. Log one off.
  
Actual results:
Crash.

Expected results:
Should not crash.

Additional info:
See log.
Comment 1 Matěj Cepl 2011-05-06 09:43:21 EDT
Backtrace:
[ 52551.303] 0: /usr/bin/Xorg (xorg_backtrace+0x2d) [0x483065]
[ 52551.303] 1: /usr/bin/Xorg (0x400000+0x52cb2) [0x452cb2]
[ 52551.303] 2: /lib64/libc.so.6 (0x346d400000+0x34100) [0x346d434100]
[ 52551.303] 3: /usr/bin/Xorg (0x400000+0xfb1cf) [0x4fb1cf]
[ 52551.303] 4: /usr/bin/Xorg (0x400000+0xfba80) [0x4fba80]
[ 52551.303] 5: /usr/bin/Xorg (0x400000+0xfac47) [0x4fac47]
[ 52551.303] 6: /usr/bin/Xorg (0x400000+0xfadae) [0x4fadae]
[ 52551.303] 7: /usr/bin/Xorg (xf86Wakeup+0x552) [0x45ab38]
[ 52551.303] 8: /usr/bin/Xorg (WakeupHandler+0x42) [0x42e202]
[ 52551.303] 9: /usr/bin/Xorg (WaitForSomething+0x2d1) [0x44d7b9]
[ 52551.303] 10: /usr/bin/Xorg (0x400000+0x2adbf) [0x42adbf]
[ 52551.303] 11: /usr/bin/Xorg (0x400000+0x215da) [0x4215da]
[ 52551.303] 12: /lib64/libc.so.6 (__libc_start_main+0xfd) [0x346d41ee7d]
[ 52551.303] 13: /usr/bin/Xorg (0x400000+0x210a9) [0x4210a9]
[ 52551.304] Segmentation fault at address 0x40eb4000
[ 52551.312] 
Fatal server error:
[ 52551.312] Caught signal 11 (Segmentation fault). Server aborting
Comment 2 Matěj Cepl 2011-05-10 11:49:47 EDT
I am sorry for leaving this bug for so long behind. Could you please confirm us the current status of this bug with the latest updates to your distro (F14 or whatever you have) applied, please?

Thank you
Comment 3 Bojan Smojver 2011-05-10 19:23:56 EDT
I haven't see this in a while (I'm on F-14 x86_64).

Actually, I'm suspecting that this happens when one of the components X11 links to or X11 itself gets updated and the machine is not rebooted, but instead one continues to use it and performs a user switch in due course.
Comment 4 Matěj Cepl 2011-05-12 08:04:26 EDT
(In reply to comment #3)
> I haven't see this in a while (I'm on F-14 x86_64).
> 
> Actually, I'm suspecting that this happens when one of the components X11 links
> to or X11 itself gets updated and the machine is not rebooted, but instead one
> continues to use it and performs a user switch in due course.

OK, closing as WORKSFORME. Problems with upgrade without reboot is kind of questionable issue, but we still consider this operators problem not to reboot when you are told so by PackageKit (or when you would be told so, if you use plain yum).

Note You need to log in before you can comment on or make changes to this bug.